package com.ruoyi.mxjb.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校专业分组跨年聚合对象 b_busi_wish_university_marjors_group
 * 
 * @author voluntary
 * @date 2022-12-01
 */
public class BBusiWishUniversityMarjorsGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long groupId;

    /** 院校 */
    @Excel(name = "院校")
    private Long universityId;

    /** 所在地 */
    @Excel(name = "所在地")
    private String location;

    /** 层次 */
    @Excel(name = "层次")
    private String level;

    /** 科类： 1理科(物理)，0文科(历史), 2文理不分 */
    @Excel(name = "科类： 1理科(物理)，0文科(历史), 2文理不分")
    private Integer liberalScience;

    /** 专业名 */
    @Excel(name = "专业名")
    private String marjorName;

    /** 专业特征 */
    @Excel(name = "专业特征")
    private String marjorSpecial;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Long status;

    public void setGroupId(Long groupId) 
    {
        this.groupId = groupId;
    }

    public Long getGroupId() 
    {
        return groupId;
    }
    public void setUniversityId(Long universityId)
    {
        this.universityId = universityId;
    }

    public Long getUniversityId()
    {
        return universityId;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setLiberalScience(Integer liberalScience)
    {
        this.liberalScience = liberalScience;
    }

    public Integer getLiberalScience()
    {
        return liberalScience;
    }
    public void setMarjorName(String marjorName) 
    {
        this.marjorName = marjorName;
    }

    public String getMarjorName() 
    {
        return marjorName;
    }
    public void setMarjorSpecial(String marjorSpecial) 
    {
        this.marjorSpecial = marjorSpecial;
    }

    public String getMarjorSpecial() 
    {
        return marjorSpecial;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("groupId", getGroupId())
            .append("universityId", getUniversityId())
            .append("location", getLocation())
            .append("level", getLevel())
            .append("liberalScience", getLiberalScience())
            .append("marjorName", getMarjorName())
            .append("marjorSpecial", getMarjorSpecial())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .toString();
    }
}
